<div>
    <div class="title clearfix" [class.new-story]="!story">
        <app-content-editable class="full-width" [value]="story?.name" (save)="save($event)">
            <ng-container *ngIf="story; else addIcon">
                <span class="full-width">{{story.name}}</span>
            </ng-container>
            <ng-template #addIcon>
                <mat-icon>add_circle_outline</mat-icon>
            </ng-template>
        </app-content-editable>
        <ng-container *ngIf="story">
            <button mat-icon-button [matMenuTriggerFor]="menu">
                <mat-icon>more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
                <button mat-menu-item (click)="removeStory()">
                    <mat-icon>delete</mat-icon>
                    <span>Supprimer</span>
                </button>
            </mat-menu>
        </ng-container>
    </div>
    <div class="story-content">
        <ng-container *ngIf="story">
            <div class="full-height" cdkDropList [cdkDropListData]="story.cards" (cdkDropListDropped)="drop($event)">
                <div class="story-card-wrapper" *ngFor="let card of story.cards" cdkDrag>
                    <app-kanban-card [card]="card"></app-kanban-card>
                </div>
                <div class="new-story-card-wrapper">
                    <app-kanban-card [story]="story"></app-kanban-card>
                </div>
            </div>
        </ng-container>
    </div>
</div>
